#include "CoOS.h"
#include  "coocox.h"
#include "stm32f10x.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_conf.h"
#include "stm32f10x_rcc.h"
#include "delay.h"
#define STACK_SIZE_TASKA 128              /*!< Define "taskA" task size */
#define STACK_SIZE_TASKB 128              /*!< Define "taskA" task size */
//#define STACK_SIZE_TASKC 128              /*!< Define "taskA" task size */

/*---------------------------- Variable Define -------------------------------*/
OS_STK     taskA_stk[STACK_SIZE_TASKA];	  /*!< Define "taskA" task stack */
OS_STK     taskB_stk[STACK_SIZE_TASKB];	  /*!< Define "taskB" task stack */
//OS_STK     taskC_stk[STACK_SIZE_TASKC];	  /*!< Define "led" task stack   */

void taskA (void* pdata) {
  GPIO_WriteBit(GPIOC,GPIO_Pin_13,Bit_SET);
 Delay (500);
  GPIO_WriteBit(GPIOC,GPIO_Pin_13,Bit_RESET);
  Delay (500);
}
void taskB (void* pdata)
{
	Delay (500);
}

/*void taskC (void* pdata)
{
	CoTickDelay (50);
} */





int main(void)
{
	GPIO_InitTypeDef PORT;
	   		 RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC|RCC_APB2Periph_GPIOB, ENABLE);
	   		PORT.GPIO_Pin = (GPIO_Pin_13);
	   		 PORT.GPIO_Mode = GPIO_Mode_Out_PP;
	   		 PORT.GPIO_Speed = GPIO_Speed_2MHz;
	   		 GPIO_Init( GPIOC , &PORT);
	   		 PORT.GPIO_Pin = (GPIO_Pin_13);
	   		 PORT.GPIO_Mode=GPIO_Mode_IPU;
	   		 PORT.GPIO_Speed = GPIO_Speed_10MHz;
	   		 GPIO_Init( GPIOB , &PORT);

	   		 GPIO_WriteBit(GPIOC,GPIO_Pin_13,Bit_SET);



	CoInitOS ();				 /*!< Initial CooCox CoOS          */

	  /*!< Create three tasks	*/
	  CoCreateTask (taskA,0,0,&taskA_stk[STACK_SIZE_TASKA-1],STACK_SIZE_TASKA);
	  CoCreateTask (taskB,0,1,&taskB_stk[STACK_SIZE_TASKB-1],STACK_SIZE_TASKB);
	//  CoCreateTask (taskC,0,2,&taskC_stk[STACK_SIZE_TASKC-1],STACK_SIZE_TASKC);
	  CoStartOS ();			    /*!< Start multitask	           */


    while(1)
    {
    }
}
